/* Main element stylings for the Home page */

/* Left body Column Styles */
.mainBox-1 {
    flex: 2.45;
    padding: 5px 20px;
    background-color: rgb(242, 215, 182);
    margin: 0 20px 20px 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 1);
}

.mainBox-1 p {
    color: rgb(0, 0, 0);
    font-size: 0.9em;
    line-height: 1.6em;
    margin: 10px 5px; 
}

/* Right body Column Styles */
.mainBox-2 {
    flex: 1;
    padding: 0 20px 0 0;

}

.mainBox-2 img {
    width: 100%;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 1);
}

.mainBox-3 {
    margin-bottom: 10px;
    padding: 0 10px;
}

/* Additional flex control Styles */
/* Controls styling when reordered */
.flipIt-L1 {
    margin-left: 20px;
}

.flipIt-L2 {
    margin-left: 0;
}

/* Blog type Styles on Journey page */
.blogBox-1 {
    flex: 1;
    margin: 5px 20px;
}

.blogPost {
    margin-bottom: 20px;
}

.blogPost h3 {
    font-size: 1.5em;
    margin-bottom: 10px;
}

.blogPost p {
    margin-bottom: 10px;
}

.whiteBg {
    background-color: rgb(245, 240, 240);
    margin-top: 10px;
    padding: 20px;
    border: 1px solid rgb(49, 66, 89);
    border-radius: 10px;
    box-shadow: 10px 10px 5px rgba(191, 143, 132, 0.6);
}

.sortOptions {
    text-align: right;
    padding-right: 20px;
    margin-top: 20px;
    color: rgb(242, 215, 182);
}

/* Table stylings on Resources page */
table {
    border-collapse: collapse;
    width: 90%;
    background-color: rgb(245, 240, 240);
    margin: 0 auto;
    color: rgb(49, 66, 89);
    margin-bottom: 20px;
    height: calc(90% - 20px);
}

table caption {
    font-family: Mynerve, sans-serif;
    background-color: rgb(49, 66, 89);
    color: rgb(242, 215, 182);
    margin: 0 auto;
    padding: 5px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

th, td {
    border: 2px solid rgb(49, 66, 89);
    padding: 8px;
    text-align: left;
}

/* Style for cells containing Special Characters */
.green {
    font-weight: bold;
    color: green;
    text-align: center;
}

.red {
    font-weight: bold;
    color: red;
    text-align: center;
}

.gold {
    font-weight: bold;
    color: goldenrod;
    text-align: center;
    font-size: 1.2em;
}

.uListStyles {
    list-style: none; /* Remove default list-style */
    padding: 20px 0; /* Remove default padding */
}

main ul {
    background-color: rgb(245, 240, 240);
    border: 1px solid rgb(49, 66, 89);
    border-radius: 10px;
    box-shadow: 10px 10px 5px rgba(191, 143, 132, 0.6);
    margin: 10px auto;
}

.uListStyles li {
    margin: 10px 20px;
    display: flex; /* Use flexbox */
}

.uListSpecial {
    padding: 0 20px 20px;
    border-bottom: 1px solid rgb(191, 143, 132);
}

.uListSpecialB {
    padding: 0 20px;
}

/* Additional classes for bullet points */
.bullet-yes::before {
    content: "\2713"; /* Unicode for "&#10004;" */
    color: green;
    font-weight: bold;
    margin-right: 20px;
}

.bullet-no::before {
    content: "\26D4"; /* Unicode for "&#9940;" */
    color: red;
    margin-right: 20px;
}

.bullet-rec::before {
    content: "\272A"; /* Unicode for "&#10026;" */
    color: goldenrod;
    margin-right: 20px;
    font-size: 1.2em;
    margin-left: 5px;
}

/* Media query for responsive design on screens wider than 768px */
@media(min-width:769px) {
    .mainFlex-L1 {
        display: flex;
        width: auto;
        padding: 1em 0;
    }

    .mainFlex-L2 {
    display: flex;
    flex-direction: column;
    flex: 1.5;
    width: 50%;
    }
}

/* Media query for responsive design on screens 768px or smaller */
@media only screen and (max-width: 768px) {
    .mainFlex-L1 {
        display: flex;
        flex-direction: column-reverse;
        margin-top: 5px;
    }

    .mainFlex-L2 {
        display: flex;
        flex-direction: column;
    }

    .mainBox-1 {
        margin-top: 10px;
    }

    .mainBox-2 {
        order: -1;
        padding: 0;
    }

    .mainBox-2 img {
        width: calc(100% - 40px);
        height: 400px;
        border-radius: 10px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 1);
        margin: 10px auto;
        display: block;
        object-fit: cover;
        object-position: top;
    }

    .flipIt-L1 {
        margin-left: 0;
    }
    
    .flipIt-L2 {
        margin-left: 20px;
    }

    .flipIt-L3 {
        margin-left: 20px;
        order: 2;
    }

    .flipIt-L4 {
        margin-left: 20px;
        order: -1;
    }

    .textTitle {
        margin: 0 10px;
        font-size: 2em;
    }

    table {
        width: calc(100% - 20px);
        margin: 0 0 20px;
    }
}

/* Media query for responsive design on screens 480px or smaller */
@media only screen and (max-width: 480px) {
    .mainBox-1 p {
        font-size: 1.15em;
    }

    .mainBox-2 img {
        height: 600px;
    }

    .textTitle {
        margin: 0 10px;
        font-size: 1.5em;
    }
}